<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cliente']) $cliente=$_GET['cliente']; else $cliente=$_POST['cliente'];
if($_GET['producto']) $producto=$_GET['producto']; else $producto=$_POST['producto'];
if($_GET['referencia']) $referencia=$_GET['referencia']; else $referencia=$_POST['referencia'];

//WSDetalleStockCompleto#EMP#Art#Cliente#RefCli

$peticion='WSDetalleStockCompleto#'.$_SESSION['orden']['Empresa'].'#'.$producto.'#'.$cliente.'#'.$referencia;
$ubicaciones=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($ubicaciones);
}


if($ubicaciones[0]['Error']) {

	?>
    <p><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" width="60" height="60" /><br>
    No se han encontrado ubicaciones para<br />este producto en el almacén.</p>
<?php
	
}
else {

	?>
    <p>Ubicaciones para este producto:</p>
    
    <table class="tablaFormateada">
    
    	<tr>
        	<th>Ubicación</th>
        	<th>Palet</th>
            <th>Id Palet Cliente</th>
            <th>Cantidad</th>
    </tr>
        
        <?php foreach($ubicaciones as $item) { ?>
        
        <tr>
        	<td><?php echo $item['Ubicacion']; ?></td>
		  <td><?php echo $item['IdPalet']; ?></td>
            <td><?php echo $item['IdPaletCliente']; ?></td>
            <td><?php echo $item['Cantidad']; ?></td>
    	</tr>
        
        <?php } ?>
        
    </table>
	
    <?php

}

?>
<p><input type="button" name="botonCargaRapidaUbicacionesCerrar" id="botonCargaRapidaUbicacionesCerrar" value="Cerrar" class="boton reducido"/></p>